package de.twenty11.skysail.common.responses;

import javax.validation.ConstraintViolation;

public class ConstraintViolationDetails<T> {

    private String propertyPath;
    private String message;

    public ConstraintViolationDetails(ConstraintViolation<T> constraintViolation) {
        propertyPath = constraintViolation.getPropertyPath().toString();
        message = constraintViolation.getMessage();
    }

    public String getPropertyPath() {
        return propertyPath;
    }

    public String getMessage() {
        return message;
    }
}
